aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2013-02-22 16:46:16 +0100
committerJustin Lecher <jlec@gentoo.org>2013-02-22 16:46:16 +0100
commit5adaef7253fbae369bc14145df9eb9746275e200 (patch)
tree3f04ef1fc3bbade1d5812390dc8c1482dbcb25af /sci-geosciences
parentMerge branch 'master' of github.com:gentoo-science/sci (diff)
downloadsci-5adaef7253fbae369bc14145df9eb9746275e200.tar.gz
sci-5adaef7253fbae369bc14145df9eb9746275e200.tar.bz2
sci-5adaef7253fbae369bc14145df9eb9746275e200.zip
sci-geosciences/fullprof-bin: Indent with tabs instead of spaces; use QA_PREBUILT for binary packages; restrict all arches but x86/amd64; bump EAPI to 5; clean DESCRIPTION; fix quoting
Package-Manager: portage-2.2.0_alpha163
Diffstat (limited to 'sci-geosciences')
-rw-r--r--sci-geosciences/fullprof-bin/ChangeLog10
-rw-r--r--sci-geosciences/fullprof-bin/Manifest2
-rw-r--r--sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild99
-rw-r--r--sci-geosciences/fullprof-bin/metadata.xml12
4 files changed, 68 insertions, 55 deletions
diff --git a/sci-geosciences/fullprof-bin/ChangeLog b/sci-geosciences/fullprof-bin/ChangeLog
new file mode 100644
index 000000000..e8b991614
--- /dev/null
+++ b/sci-geosciences/fullprof-bin/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-geosciences/fullprof-bin
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 22 Feb 2013; Justin Lecher <jlec@gentoo.org> fullprof-bin-2012.11.ebuild,
+ metadata.xml:
+ Indent with tabs instead of spaces; use QA_PREBUILT for binary packages;
+ restrict all arches but x86/amd64; bump EAPI to 5; clean DESCRIPTION; fix
+ quoting
+
diff --git a/sci-geosciences/fullprof-bin/Manifest b/sci-geosciences/fullprof-bin/Manifest
index f73f25280..d95a30f43 100644
--- a/sci-geosciences/fullprof-bin/Manifest
+++ b/sci-geosciences/fullprof-bin/Manifest
@@ -1 +1 @@
-DIST FullProf_Suite_Nov2012_Lin.tgz 66985149 SHA256 22fa6165f299e67c28439eba2c7d9469fff637bbf873cee4006581d4b8e89398 SHA512 c02933d8cbbfc1ec0d9818ec63f3a0102f0a659b0c38371ed7103a082a87e21b33d2075bb2c7d8357f216b347e0f11bfbc39d6dfd5cba22854438cc2b8586243 WHIRLPOOL 8df64c3b87b381ea28542bdcb513cb83eeaa91d656d1717ef18e2d96803590da415703d2ff6e0d2f9ac9e2ec059552252f41707811e078c28c010c2b58d4bdd7
+DIST FullProf_Suite_Nov2012_Lin.tgz 67050800 SHA256 619f122ce4e1cf3a27f1d55c83cdf8785a410d8c5899c3cd56194cc2b6d94c30 SHA512 16411427dde46954e9058a5cff8569f8f6e2e689670d8bc4eaa5492e982135b8953b651607ecfdc52bfd6ff1c93328e29d1f25049fbea78b530fb1bc7b9656b5 WHIRLPOOL f029eac6b6c4860c53ff3691e47ac1ea426187d2cb2991b7c925c464ed0e0d893ec4cd2170622d2ea48112edb4078534a66b48f46a7cb8fc497510b1c431460b
diff --git a/sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild b/sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild
index 7c41344fe..899353b56 100644
--- a/sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild
+++ b/sci-geosciences/fullprof-bin/fullprof-bin-2012.11.ebuild
@@ -1,63 +1,66 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="4"
+EAPI=5
-DESCRIPTION="a set of crystallographic tools mainly for Rietveld analysis"
+DESCRIPTION="Crystallographic tools mainly for Rietveld analysis"
HOMEPAGE="http://www.ill.eu/sites/fullprof/index.html"
SRC_URI="http://www.ill.eu/sites/fullprof/downloads/FullProf_Suite_Nov2012_Lin.tgz"
+
LICENSE="freedist HPND"
# There is no clear license specified. But according to Docs/Readme_Fp_Suite.txt
# those two seem to be appropriate.
SLOT="0"
-KEYWORDS="~x86 ~amd64"
-IUSE="+X +doc +examples"
+KEYWORDS="~x86 ~amd64 -*"
+IUSE="+doc +examples +X"
-RDEPEND="X? ( >=x11-libs/motif-2.3 )"
+RDEPEND="X? ( x11-libs/motif:0 )"
+DEPEND=""
+S="${WORKDIR}"
-S="${WORKDIR}/"
+QA_PREBUILT="opt/.*"
src_install() {
- BASEDIR="/opt/fullprof"
- echo "FULLPROF=\"${BASEDIR}\"" > ${T}/99fullprof
- doenvd ${T}/99fullprof
-
- if use !examples; then
- rm -r Examples || die
- fi
-
- if use !doc; then
- rm -r Docs || die
- rm -r Html || die
- else
- # fix (html) documentation to actually work
- # as upstream is using inconsistent upper and lower case
- mv Docs docs || die
- cd docs || die
- for i in *.HTM; do
- mv "$i" "${i,,}" || die
- done
- mv "FullProf_Manual.pdf" "Fullprof_Manual.pdf" || die
- mv "Manual_FullProf_Studio.pdf" "Manual_Fullprof_Studio.pdf" || die
- mv "FullProf_News.htm" "Fullprof_News.htm" || die
- for i in FullProf_News_200?.htm; do
- mv "$i" "${i/FullProf/Fullprof}" || die
- done
- cd .. || die
- fi
-
- if use !X; then
- rm tfp tfp.set winplotr-2006 check_group cryscal edpcr fp_studio || die
- rm gbasireps gbond_str gdatared gfourier gfourier.hlp gxlens || die
- rm powderpat resvis symmcal wfp2k winplotr.* || die
- rm -r Fps_Icons || die
- fi
-
- mkdir -p "${D}/${BASEDIR}" || die
- # make symlinks
- for i in * ; do
- [[ -x $i && ! -d $i ]] && dosym "../fullprof/${i}" /opt/bin/"${i##*/}"
- done
- mv "${S}"/* "${D}/${BASEDIR}" || die
+ BASEDIR="/opt/fullprof"
+ echo "FULLPROF=\"${BASEDIR}\"" > "${T}"/99fullprof
+ doenvd "${T}"/99fullprof
+
+ if ! use examples; then
+ rm -r Examples || die
+ fi
+
+ if ! use doc; then
+ rm -r Docs Html || die
+ else
+ # fix (html) documentation to actually work
+ # as upstream is using inconsistent upper and lower case
+ mv Docs docs || die
+ cd docs || die
+ for i in *.HTM; do
+ mv "$i" "${i,,}" || die
+ done
+ mv "FullProf_Manual.pdf" "Fullprof_Manual.pdf" || die
+ mv "Manual_FullProf_Studio.pdf" "Manual_Fullprof_Studio.pdf" || die
+ mv "FullProf_News.htm" "Fullprof_News.htm" || die
+ for i in FullProf_News_200?.htm; do
+ mv "$i" "${i/FullProf/Fullprof}" || die
+ done
+ cd .. || die
+ fi
+
+ if ! use X; then
+ rm -rf \
+ tfp tfp.set winplotr-2006 check_group cryscal edpcr fp_studio \
+ gbasireps gbond_str gdatared gfourier gfourier.hlp gxlens \
+ powderpat resvis symmcal wfp2k winplotr.* \
+ Fps_Icons || die
+ fi
+
+ dodir "${BASEDIR}" || die
+ # make symlinks
+ for i in * ; do
+ [[ -x $i && ! -d $i ]] && dosym "../fullprof/${i}" /opt/bin/"${i##*/}"
+ done
+ mv "${S}"/* "${ED}/${BASEDIR}" || die
}
diff --git a/sci-geosciences/fullprof-bin/metadata.xml b/sci-geosciences/fullprof-bin/metadata.xml
index 46b265804..825c73cd0 100644
--- a/sci-geosciences/fullprof-bin/metadata.xml
+++ b/sci-geosciences/fullprof-bin/metadata.xml
@@ -1,12 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>sci-geosciences</herd>
-<maintainer>
-<email>marten@xtal.rwth-aachen.de</email>
-<name>Jan M. Simons</name>
-</maintainer>
-<longdescription lang="en">
+ <herd>sci-geosciences</herd>
+ <maintainer>
+ <email>marten@xtal.rwth-aachen.de</email>
+ <name>Jan M. Simons</name>
+ </maintainer>
+ <longdescription lang="en">
Fullprof is a programm suite of crystallographic programs (FullProf, WinPLOTR,
EdPCR, GFourier, etc...) mainly developed for Rietveld analysis (structure
profile refinement) of neutron (constant wavelength, time of flight,